1. Embeds
NotifyMe
  • Introduction
  • Authentication
  • API Reference
    • Accounts
      • List accounts
      • Add account
      • Edit account
      • Delete account
      • Test notification
      • Force notification
    • Embeds
      • List embeds
        GET
      • Create embed
        POST
      • Edit embed
        PATCH
      • Delete embed
        DELETE
    • Bot Styles
      • List bot styles
      • Create bot style
      • Edit bot style
      • Delete bot style
Discord BotManagement API
Legal
Discord BotManagement API
Legal
  1. Embeds

List embeds

Developing
GET
https://public-api.notifyme.bot/v1/management/embeds
Rate Limit:5 req/sec

Request

Authorization
Add parameter in header
X-API-Key
Example:
X-API-Key: ********************
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.notifyme.bot/v1/management/embeds?server_id=1044159651178094592&platform=youtube' \
--header 'X-API-Key: <api-key>'
Response Response Example
{
    "status": true,
    "data": [
        {
            "internal_id": "string",
            "name": "string",
            "header": {
                "video": "string",
                "live": "string",
                "tweet": "string"
            },
            "color": "string",
            "title": "string",
            "live_fields": [
                "game"
            ],
            "thumbnail": true,
            "footer": "string",
            "upload_timestamp": true,
            "button": {
                "video": "string",
                "live": "string",
                "tweet": "string"
            },
            "created_at": "2019-08-24",
            "updated_at": "2019-08-24"
        }
    ]
}
Previous
Force notification
Next
Create embed
Built with